# $Revision: 1.19 $, $Date: 2011/04/28 10:04:15 $
Summary:	FreeDOS Ripcord edit part
Summary(pl.UTF-8):	Część 'edit' FreeDOSa
Name:		dosemu-freedos-edit
Version:	beta7h03
Release:	3
Epoch:		1
License:	GPL
Group:		Applications/Emulators
Source0:	ftp://ftp.task.gda.pl/pub/dos/freedos/files/distributions/ripcord/%{version}/EN/disksets/edit1.zip
# Source0-md5:	263b4cfa9dadf5b63cdfde06b81f0083
Source1:	ftp://ftp.task.gda.pl/pub/dos/freedos/files/distributions/ripcord/%{version}/EN/disksets/vim60rt.zip
# Source1-md5:	cd00eac7730ed0b224ee1d361485cd74
URL:		http://www.freedos.org/
BuildRequires:	unzip
Obsoletes:	dosemu-freedos
Requires:	dosemu
Requires:	dosemu-freedos-minimal
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains various text editors for FreeDOS.

%description -l pl.UTF-8
W tym pakiecie można znaleźć różne edytory tekstu działające pod
DOS-em.

%prep
%setup -q -c -a1

rm -rf freedos
mkdir freedos
for i in *.ZIP ; do
	unzip -L -o $i -d freedos
done
rm -f freedos/copying

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/lib/dosemu/bootdir

cp -Rf freedos $RPM_BUILD_ROOT/var/lib/dosemu/bootdir
cp -Rf vim/vim60 $RPM_BUILD_ROOT/var/lib/dosemu/bootdir/freedos

echo "#!/bin/awk -f" > $RPM_BUILD_ROOT/var/lib/dosemu/bootdir/freedos/vim60/tools/mve.awk
tail -n +2 vim/vim60/tools/mve.awk >> $RPM_BUILD_ROOT/var/lib/dosemu/bootdir/freedos/vim60/tools/mve.awk

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
/var/lib/dosemu/bootdir/freedos/bin/*
/var/lib/dosemu/bootdir/freedos/doc/*
/var/lib/dosemu/bootdir/freedos/help/*
/var/lib/dosemu/bootdir/freedos/emacs
/var/lib/dosemu/bootdir/freedos/vim60

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dosemu-freedos-edit.spec,v $
Revision 1.19  2011/04/28 10:04:15  baggins
- rel 3
- fix awk path

Revision 1.18  2011/04/13 10:36:55  baggins
- rel 2
- added vim-rt files

Revision 1.17  2011/04/13 10:27:22  baggins
- up to beta7h03

Revision 1.16  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.14  2007/01/27 14:32:03  pascalek
- works on 64 bits

Revision 1.13  2004/04/26 14:55:34  adamg
- release 4 for Ac (3 is for Ra)

Revision 1.12  2004/03/15 20:33:38  qboosh
- setup args unification

Revision 1.11  2004/01/04 21:48:24  ankry
- pl fixes

Revision 1.10  2003/11/11 01:42:27  ankry
- caps unification, other cosmetics

Revision 1.9  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.8  2003/05/25 05:46:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/06/04 13:10:07  kloczek
- cosmetics.

Revision 1.6  2002/04/25 16:13:17  arturs
fixed a small typo

Revision 1.5  2002/04/10 21:31:39  qboosh
- removed common dirs (present in dosemu-freedos-minimal), release 3

Revision 1.4  2002/03/21 23:45:14  kloczek
- release 2.

Revision 1.3  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:12:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/12/16 17:17:21  juandon
- Release 1
